/**
 * <b>Error</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>newError([<em>message</em>[,<em>fileName</em>[,<em>lineNumber</em>]]])</code>
 * </p>
 * <p>
 * Creates an error object.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>message</b></td>
 * <td>Human-readable description of the error</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>fileName</b></td>
 * <td>Non-standard The name of the file containing the code that caused the exception</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>lineNumber</b></td>
 * <td>Non-standard The line number of the code that caused the exception</td>
 * </tr>
 * </table>
 * @type Error
 */
var Error = {
/**
 * <b>message</b>
 * <p>
 * A human-readable description of the error.
 * </p>
 * @type String
 */
message: undefined,

/**
 * <b>toSource</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><i>error</i>.toSource()</code>
 * </p>
 * <p>
 * Returns code that could eval to the same error.
 * </p>
 * @type String
 */
toSource: function() {},

/**
 * <b>description</b>
 * @type String
 */
description: undefined,

/**
 * <b>name</b>
 * <p>
 * A name for the type of error.
 * </p>
 * @type String
 */
name: undefined,

/**
 * <b>fileName</b>
 * @type String
 */
fileName: undefined,

/**
 * <b>lineNumber</b>
 * @type Number
 */
lineNumber: undefined,

/**
 * <b>toString</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code><em>error</em>.toString()</code>
 * </p>
 * <p>
 * Returns a string representing the specified Error object.
 * </p>
 * @type String
 */
toString: function() {},

/**
 * <b>number</b>
 * @type Number
 */
number: undefined,

/**
 * <b>stack</b>
 * @type String
 */
stack: undefined,

/**
 * <b>prototype</b>
 * <p>
 * Represents the prototype for the Error constructor.
 * </p>
 * @type Object
 * @static
 */
prototype: undefined,

/**
 * <b>constructor</b>
 * @type Function
 */
constructor: undefined,

}
