/**
 * <b>TypeError</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>newTypeError([<em>message</em>[,<em>fileName</em>[,<em>lineNumber</em>]]])</code>
 * </p>
 * <p>
 * Represents an error when a value is not of the expected type.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>message</b></td>
 * <td>Human-readable description of the error</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>fileName</b></td>
 * <td>Non-standard The name of the file containing the code that caused the exception</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>lineNumber</b></td>
 * <td>Non-standard The line number of the code that caused the exception</td>
 * </tr>
 * </table>
 * @type Error
 */
var TypeError = {
/**
 * <b>name</b>
 * @type String
 * @static
 */
name: undefined,

/**
 * <b>prototype</b>
 * <p>
 * Represents the prototype for the TypeError constructor.
 * </p>
 * @type Object
 * @static
 */
prototype: undefined,

/**
 * <b>constructor</b>
 * @type Function
 * @static
 */
constructor: undefined,

}
